/**
 * IR remote common class (Version 0.0.4)
 *
 * Copyright (C) 2010 Shinichiro Nakamura (CuBeatSystems)
 * http://shinta.main.jp/
 *
 * -------------------------------------------------------
 * 130616 suupen
 * IRC Helicopter "SWIFT" Propo support
 *  Conditional compilation 
 *      "SWIFT_PROTCOL"
 *      "IR_RAW_DATA_ANALYSIS"
 *--------------------------------------------------------
 */

#ifndef _REMOTE_IR_H_
#define _REMOTE_IR_H_

#define SWIFT_PROTCOL   // IRC Helicopter SWIFT protcol


class RemoteIR {
public:

    typedef enum {
        UNKNOWN,
        NEC,
        NEC_REPEAT,
        AEHA,
        AEHA_REPEAT,
        SONY,
#ifdef SWIFT_PROTCOL
        SWIFT,
#endif // SWIFT_PROTCOL
     } Format;

    static const int TUS_NEC = 562;
    static const int TUS_AEHA = 425;
    static const int TUS_SONY = 600;
#ifdef SWIFT_PROTCOL
    static const int TUS_SWIFT = 350;
#endif // SWIFT_PROTCOL

private:
    RemoteIR();
};

#endif
